package com.ruoyi.post.service;

import com.ruoyi.post.domain.PostUser;

import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/25 20:19
 * @Exegesis:
 */
public interface IPostUserService
{
    /**
     * 查询邮贝用户信息;
     *
     * @param userId 邮贝用户信息;主键
     * @return 邮贝用户信息;
     */
    public PostUser selectPostUserByUserId(Long userId);

    /**
     * 查询邮贝用户信息;列表
     *
     * @param postUser 邮贝用户信息;
     * @return 邮贝用户信息;集合
     */
    public List<PostUser> selectPostUserList(PostUser postUser);

    /**
     * 新增邮贝用户信息;
     *
     * @param postUser 邮贝用户信息;
     * @return 结果
     */
    public int insertPostUser(PostUser postUser);

    /**
     * 修改邮贝用户信息;
     *
     * @param postUser 邮贝用户信息;
     * @return 结果
     */
    public int updatePostUser(PostUser postUser);

    /**
     * 批量删除邮贝用户信息;
     *
     * @param userIds 需要删除的邮贝用户信息;主键集合
     * @return 结果
     */
    public int deletePostUserByUserIds(Long[] userIds);

    /**
     * 删除邮贝用户信息;信息
     *
     * @param userId 邮贝用户信息;主键
     * @return 结果
     */
    public int deletePostUserByUserId(Long userId);
}
